Bug 47344

Summary: [4.9/5/6 Regression][meta-bug] GCC gets slower and uses more memory
Product: gcc Reporter: Richard Biener <rguenth>
Component: middle-endAssignee: Not yet assigned to anyone <unassigned>
Status: NEW ---    
Severity: normal CC: jakub, mariobonino, steven, xiaoyuanbo
Priority: P2 Keywords: compile-time-hog, memory-hog, meta-bug
Version: 4.6.0   
Target Milestone: 4.9.4   
Host: Target:
Build: Known to work:
Known to fail: Last reconfirmed: 2011-01-18 14:20:10
Bug Depends on: 12245, 12850, 14179, 18687, 26854, 34983, 37448, 38474, 39326, 40735, 44440, 46590, 53958, 54896, 55135, 56113, 61515, 62291, 63191, 63338, 63577, 40761, 51389, 56490    
Bug Blocks:    

Description Richard Biener 2011-01-18 14:19:25 UTC
This is a meta-bug for old(!) compile-time and memory-usage regressions that
we keep not closing for whatever reason and that are present on all active
branches.

Those bugs got their regression markers removed now and instead are liked from this single regression bug.
Comment 1 Richard Biener 2011-01-18 14:20:10 UTC
Confirmed.
Comment 2 Richard Biener 2011-06-27 12:14:12 UTC
4.3 branch is being closed, moving to 4.4.7 target.
Comment 3 Richard Biener 2011-11-07 09:13:10 UTC
*** Bug 34983 has been marked as a duplicate of this bug. ***
Comment 4 xiaoyuanbo 2012-02-22 12:54:14 UTC
class a{int i;}ai;
Comment 5 Jakub Jelinek 2012-03-13 12:47:29 UTC
4.4 branch is being closed, moving to 4.5.4 target.
Comment 6 Richard Biener 2012-07-02 11:30:20 UTC
The 4.5 branch is being closed, adjusting target milestone.
Comment 7 Steven Bosscher 2013-03-06 10:51:27 UTC
This bug looks like the wrong idea to me. Old is apparently anything
older than the maintained release branches, but many users "in the field"
still use older compilers that come with their respective distributions.

For instance a regresion that is present since GCC 4.6 but not in GCC 4.5
gets reduced in importance and visibility by not marking it as regression
and instead only adding it to this grab-a-bag PR. Example of such a case
is bug 53958.

This is a change of old existing policy that any regression should be
marked as such. This policy change should have been discussed (and IMHO
rejected) on the GCC mailing list.

Also, this meta-bug depends on not-so-old regressions, so it's already
more like a collection of compile/memory hog issues than a collection
point for apparently "unimportant" regressions.
Comment 8 rguenther@suse.de 2013-03-06 10:57:15 UTC
On Wed, 6 Mar 2013, steven at gcc dot gnu.org wrote:

> 
> http://gcc.gnu.org/bugzilla/show_bug.cgi?id=47344
> 
> --- Comment #7 from Steven Bosscher <steven at gcc dot gnu.org> 2013-03-06 10:51:27 UTC ---
> This bug looks like the wrong idea to me. Old is apparently anything
> older than the maintained release branches, but many users "in the field"
> still use older compilers that come with their respective distributions.
> 
> For instance a regresion that is present since GCC 4.6 but not in GCC 4.5
> gets reduced in importance and visibility by not marking it as regression
> and instead only adding it to this grab-a-bag PR. Example of such a case
> is bug 53958.
> 
> This is a change of old existing policy that any regression should be
> marked as such. This policy change should have been discussed (and IMHO
> rejected) on the GCC mailing list.
> 
> Also, this meta-bug depends on not-so-old regressions, so it's already
> more like a collection of compile/memory hog issues than a collection
> point for apparently "unimportant" regressions.

All these regressions clutter the list of important regressions.
All of them are present in more or less severe form in all maintained
branches.

There is a similar issue for missed-optimization regressions that
are long-standing.
Comment 9 Steven Bosscher 2013-03-06 12:01:27 UTC
(In reply to comment #8)
> All these regressions clutter the list of important regressions.

And why would all of these not be important?
Hiding a problem is not solving the problem.

And it always was policy that a regression should be marked as such. If
it is not important enough, you can set its priority to P4 or P5, but we
should never remove the regression marker.

See http://gcc.gnu.org/ml/gcc/2007-12/msg00550.html
Comment 10 Jakub Jelinek 2013-03-06 12:07:28 UTC
I agree with Richard here, it isn't that much hidden, simplifies RM tasks and allows us to actually release the compiler in roughly timely manner.
Comment 11 Richard Biener 2013-03-06 12:11:38 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > All these regressions clutter the list of important regressions.
> 
> And why would all of these not be important?
> Hiding a problem is not solving the problem.
> 
> And it always was policy that a regression should be marked as such. If
> it is not important enough, you can set its priority to P4 or P5, but we
> should never remove the regression marker.
> 
> See http://gcc.gnu.org/ml/gcc/2007-12/msg00550.html

Well, the issue with these kind of testcases / bugs is that we cannot
easily mark them as dups of each other because nobody separates the
issues the testcases show into separate bugreports (which could be
individually marked as regression).  So the bugs tend to stay open
forever, with much confusion as to what issue (still) exists or has
popped up again or new.

Tracking the testcases so we see when they regress again is important
(and gcc.opensuse.org/c++bench/random is just a lame attempt, because
C++ issues keep breaking testcases and because the machine has not
enough memory to keep up with the task - and the scripting is lame, too ;))

I realize this meta-bug is a bad attempt at making the important regression
numbers look better ;)
Comment 12 Jakub Jelinek 2013-04-12 15:16:51 UTC
GCC 4.6.4 has been released and the branch has been closed.
Comment 13 Richard Biener 2014-06-12 13:46:06 UTC
The 4.7 branch is being closed, moving target milestone to 4.8.4.
Comment 14 Jakub Jelinek 2014-12-19 13:29:10 UTC
GCC 4.8.4 has been released.
Comment 15 Richard Biener 2015-06-23 08:18:24 UTC
The gcc-4_8-branch is being closed, re-targeting regressions to 4.9.3.
Comment 16 Jakub Jelinek 2015-06-26 19:54:30 UTC
GCC 4.9.3 has been released.